/////////////////////////////////////////////////////////////////////////////
// Name:        tinyxml.cpp
// Purpose:     TinyXML parser (borrowed from wxWorkshop)
// Author:      Aleksandras Gluchovas
// Created:     2000/03/05
// RCS-ID:      $Id: tinyxml.h,v 1.1 2001/02/25 11:56:04 aleksandras Exp $
// Copyright:   (c) 2000 Aleksandras Gluchovas
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef __TINYWML_G__
#define __TINYWML_G__

#include "wx/xml/xmlio.h"


class WXDLLEXPORT wxXmlIOHandlerTinyxml : public wxXmlIOHandler
{
public:
	wxXmlIOHandlerTinyxml();

    virtual wxXmlIOType GetType();
    virtual bool CanLoad(wxInputStream& stream);
    virtual bool CanSave();

    virtual bool Load(wxInputStream& stream, wxXmlDocument& doc);
    virtual bool Save(wxOutputStream& stream, const wxXmlDocument& doc);

	static void InitTinyXml();

//	DECALRE_CLASS( wxXmlIOHandlerTinyxml );
};

#endif // __TINYWML_G__